Subject: bug#54020: Allow user-defined libtool options

From: Mike Frysinger <[email-masked]>
Date: Sat, 13 Jan 2024 01:19:30 -0500

On 15 Mar 2023 17:31, Bogdan wrote:
>   Another patch from my side. This one makes it possible for users to 
> pass additional options to libtool in 'compile' mode. Fixes #54020.
> 
>   Added documentation and a test case including the '-no-suppress' 
> option. All tests with 'lt' or 'libtool' in the name pass.
> 
>   Feel free to rename the variables, I just came up with the names 
> LTCOMPILE_PREFLAGS and LTCOMPILE_POSTFLAGS, reflecting the positions 
> where the variables are put and the mode they're used in.

why do we need LTCOMPILE_POSTFLAGS ?  isn't that just after the compile
command ?  $obj_compile expands into e.g.
	\$(CC) @cpplike_flags \$(AM_CFLAGS) \$(CFLAGS)

so if someone wants to add flags to C/etc..., they already have knobs
to turn.

which means this would simplify by only having one variable right ?
AM_LTCOMPILE_FLAGS
-mike